@import '_fonts';
@import '_colors';

// Variables
$panel-size:240px;

// Defaults
body {
    margin:0;
    padding:0;
    background-color:$lightgray;
    font-family: 'Montserrat Regular';
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
}

// Global Elements
.wrapper {
    display: flex;
}

.content-container {
    width: 100%;
}

.sidebar {
    flex:1;
    min-width: $panel-size;
    height:100%;
    position: fixed;
    background-color: $black;
}

.content-side {
    flex:1;
    margin-left: $panel-size;
    padding-left: 40px;
    padding-right: 40px;
    padding-bottom: 80px;
}

.content-tile {
    background-color: $white;
    box-shadow: 0 4px 12px 0 rgba(93, 117, 125, 0.15);
    padding: 24px;
    position: relative;
}

ul.list-unstyled {
    padding: 0;
    margin: 0;
    list-style: none;
}

.nav {
    &__menu {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        padding: 12px 0;
        margin-bottom: 24px;
        .login-details {
            font-family: 'Montserrat Medium';
            font-size: .9em;
            color:$black;
            text-align: right;
        }
    }
    &__panel {
        // padding: 24px;
        padding-top: 48px;
        li {
            margin-bottom: 6px;
        }
        &__link {
            font-family: 'Montserrat Medium';
            color:$white;
            display: block;
            padding: 16px 12px 14px 58px;
            text-decoration: none;
            font-size: .9em;
            background-color: transparent;
            background-position: center left 24px;
            background-size: 20px;
            background-repeat: no-repeat;
            border-left: 2px solid transparent;
            opacity: .3;
            transition: .12s ease-out opacity, .12s ease-out background-color, .12s ease-out border-color;
            &:hover,
            &--active {
                background-color:rgba(255,255,255,.05);
                border-color: $gold;
                opacity: 1;
            }
            &.icon-dashboard {
                background-image: url(../img/icon-dashboard.svg);
            }
            &.icon-users {
                background-image: url(../img/icon-users.svg);
            }
            &.icon-companies {
                background-image: url(../img/icon-companies.svg);
            }
            &.icon-advertisement {
                background-image: url(../img/icon-advertisement.svg);
            }
            &.icon-managers {
                background-image: url(../img/icon-managers.svg);
            }
        }
    }
}

.title {
    font-family: "Montserrat Bold";
    font-size: 2em;
    line-height: 1.5em;
    margin: 0 0 24px 0;
    color:$black;
}

.substitle {
    font-family: "Montserrat Bold";
    font-size: 1.5em;
    line-height: 1.5em;
    margin: 0 0 24px 0;
    color:$black;
}

// Table 
.table {
    font-family: 'VarelaRound Regular';
    width: 100%;
    border-collapse: collapse;
    & > thead {
        tr {
            th:first-child {
                padding-left: 12px;
            }
            th:last-child {
                padding-right: 12px;
                width: 96px;
            }
        }
        th {
            font-size: 0.8em;
            text-align: left;
            font-weight: normal;
            font-family: 'Montserrat Medium';
            padding-bottom: 12px;
            color: $gray;
        }
    }
    & > tbody {
        tr:nth-child(even) {
            background-color: #eceded;
        }
        tr:nth-child(odd) {
            background-color: #f8f8f8;
        }
        tr {
            td:first-child {
                padding-left: 12px;
            }
            td:last-child {
                padding-right: 12px;
                width: 96px;
            }
        }
        td {
            font-size: .9em;
            padding: 12px 0;
            color:$black;
        }
    }
}

.actions {
    display: flex;
}

// Buttons
button {
    appearance: none;
    cursor: pointer;
    &:focus {
        outline:none;
    }
}

.btn {
    border:none;
    border-radius: 6px;
    font-family: 'Montserrat Medium';
    position: relative;
    overflow: hidden;
    a {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }
    &__primary {
        padding: 12px 16px;
        color:$black;
        background: linear-gradient(90deg, $gold, $gold_light);
        transition: .12s ease-out opacity;
        &:hover {
            opacity: .8;
        }
    }
    &__secondary {
        padding: 12px 16px;
        color:$black;
        background: $gray20;
        transition: .12s ease-out opacity;
        &:hover {
            opacity: .8;
        }
        & + .btn__primary {
            margin-left: 12px;
        }
    }
    &-action {
        width: 34px;
        height: 34px;
        background-position: center;
        background-size: 18px;
        background-repeat: no-repeat;
        cursor: pointer;
        transition: .12s ease-out opacity, .12s ease-out transform;
        &__edit {
            background-color: $orange;
            background-image: url(../img/icon-edit.svg);
            margin-right: 8px;
        }
        &__delete {
            background-color: $red;
            background-image: url(../img/icon-delete.svg);
        }
        &:hover {
            opacity: .6;
            transform:scale(1.1);
        }
    }
    &__logout {
        background-color: $gray20;
        padding: 10px 16px;
        margin-left: 24px;
        transition: .12s ease-out opacity;
        &:hover {
            opacity: .6;
        }
    }
}

.controls-row {
    margin-bottom: 24px;
    display: flex;
    justify-content: end;
}

// Form
.form {
    &__new-advertisement {
        max-width: 560px;
    }
    &__inputs {
        margin-bottom: 24px;
    }
    &__controls {
        display: flex;
        justify-content: flex-end;
    }
}

// Form Notification
.notification {
    position: absolute;
    top:0;
    left:0;
    width: 100%;
    height: 100%;
    background-color: $white;
    display: none;
    justify-content: center;
    align-items:center;
    padding-bottom: 80px;
    box-sizing: border-box;
    &__content {
        text-align: center;
    }
    &.visible {
        display: flex;
    }
}

// Inputs
input {
    appearance: none;
    box-sizing: border-box;
    &:focus {
        outline:none;
    }
}

.input {
    &__group {
        font-family: 'VarelaRound Regular';
        color:$black;
        margin-bottom: 12px;
    }
    &__label {
        display: block;
        font-family: 'Montserrat Medium';
        font-size: .8em;
        padding: 0;
        margin-bottom: 2px;
        text-align: left;
    }
    font-family: 'VarelaRound Regular';
    font-size:.9em;
    border: 2px solid $gray20;
    width: 100%;
    height: 40px;
    border-radius: 3px;
    padding: 0 12px;
    transition: .12s ease-out border-color,.12s ease-out background-color;
    &:focus {
        border-color: $black;
        background-color: $lightgray;
    }
    &--invalid {
        border-color: $red; 
    }
}

// Login Form
.login {
    &__area {
        max-width: 420px;
        margin: 80px auto;
        text-align: center;
    }
    &__form {
        .btn__primary {
            width: 100%;
        }
    }
}

// Error Message
.error {
    color: $red;
    background-color: rgba(236, 39, 39, 0.15);
    padding: 12px;
    border-radius: 3px;
    margin-bottom: 24px;
    font-family: 'Montserrat Medium';
    font-size: 0.9em;
    text-align: center;
}